<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">

    <br/> 
    <div class="col-md-4 col-xl-4 col-sm-12">
        <div class="card table-card widget-success-card automobile" style="border-radius: 10px; height: 60px; background-color: #23038e;">
            <div class="row-table" style="border-radius: 10px; height: 60px;">
                <div class="col-md-4 col-xl-4 col-sm-6 card-block" style="border-radius: 10px 0px 0px 10px; height: 60px; background-color: #1e0a60; " > 
                    <h5 style="color: white; font-size: 20pt; margin-top: -5px;">{{countProgram}}</h5>
                </div>
                <div class="col-md-8 col-xl-8 col-sm-6" style="border-radius: 0px 10px 10px 0px; height: 60px; background-color: #23038e;"> 
                    <h5 style="color: white; position: relative; top: 50%; transform: translateY(-50%);">Kegiatan Berjalan</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 col-xl-4 col-sm-12">
        <!-- <div class="card table-card widget-success-card automobile" style="border-radius: 10px; height: 60px; background-color: #286422;">
            <div class="row-table" style="border-radius: 10px; height: 60px;">
                <div class="col-md-4 col-xl-4 col-sm-6 card-block" style="border-radius: 10px 0px 0px 10px; height: 60px; background-color: #0f4800;"> 
                    <h5 style="color: white; font-size: 20pt; margin-top: -5px;">{{countDinas}}</h5>
                </div>
                <div class="col-md-8 col-xl-8 col-sm-6" style="border-radius: 0px 10px 10px 0px; height: 60px; background-color: #286422;"> 
                    <h5 style="color: white; position: relative; top: 50%; transform: translateY(-50%);">OPD Terlibat</h5>
                </div>
            </div>
        </div> -->
    </div> 
    <div class="col-md-4 col-xl-4 col-sm-12"> 
    </div> 

    <div class="col-md-12 col-xl-12">
        <div class="row">

            <ng-container *ngFor="let row of dataProgram; let i = index;"> 
            <div class="col-md-4 col-xl-4">  
                <div class="card card-rounded"  style="border-radius: 10px; border-top-color:#FFF;">
                    <div class="card-header" *ngIf="row.nama" style="border-bottom: 0px;">
                        <h5>{{ row.nama }}</h5>
                        <span>{{ row.nama_lain }}&nbsp;</span> 
                        <ng-container *ngIf="row.finish_loading === true"> 
                            <a onMouseOver="this.style.color='#FFF'"  [routerLink]="['/', 'program', row.id, 'statistik']" style="background-color: #23038e;">
                            <chart *ngIf="row.chart" [type]="row.chart.type" [data]="row.chart.data" [options]="row.chart.options" [style.background-image]="getBackground(row.logo)"
                            style="width: 65%; height: 65%; margin: auto; background-repeat: no-repeat; background-position: center; background-size: 35%; margin-top: 20px;">
                            </chart> 
                            </a>
                            <span style="text-align: center">Progress terhadap Output Indikator (5 tahun)</span>
                        </ng-container>
                        <div class="card-header-right">
                        <i class="icofont icofont-rounded-down" cardToggleEvent (click)="toggleCard(row)"></i>   
                        </div>
                    </div>
                    
                    <div @cardToggle *ngIf="row.cardToggle === 'expanded'">
                        <div class="card-body">
                            <chart *ngIf="row.chart_bar" [type]="row.chart_bar.type" [data]="row.chart_bar.data" [options]="row.chart_bar.options"></chart> 
                            <div class="row p-10">  
                                <div class="col-md-12">
                                    <label class="col-form-label"><strong>OPD</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 5px;">{{row.dinas.nama}}</span>
                                </div>
                                <div class="col-md-6">
                                    <label class="col-form-label"><strong>PIC ASN</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 5px;"><span *ngFor="let arr of row.pic_asn.arr">{{arr.value}}</span></span>
                                </div>
                                <div class="col-md-6">
                                    <label class="col-form-label"><strong>PIC Non ASN</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 5px;"><span *ngFor="let arr of row.pic_non_asn.arr">{{arr.value}}, </span></span>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label"><strong>TAJJ</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 5px;"><span *ngFor="let arr of row.tajj.arr">{{arr.value}}, </span></span>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label"><strong>Fasilitator</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 5px;"><span *ngFor="let arr of row.fasilitator.arr">{{arr.value}}, </span></span>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label"><strong>Mitra Kolaborasi</strong></label>
                                    <span style="display: block; margin-top: -10px; margin-bottom: 15px;"><span *ngFor="let arr of row.mitra.arr">{{arr.value}}, </span></span>
                                </div>  
                                <a onMouseOver="this.style.color='#FFF'" class="btn btn-inverse btn-md btn-block" [routerLink]="['/', 'program', row.id, 'statistik']" style="background-color: #23038e;"><i class="icofont icofont-chart-histogram"></i>Detail Kegiatan</a>
                            </div>
                        </div>
                    </div>
                </div> 
            </div> 
            </ng-container>
 
        </div>

    </div>

    <!-- <div class="col-md-4 col-xl-4">
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Tingkat Keberhasilan </h5>
            </div>
            <div class="card-block">
                <google-chart [data]="donutChartData"></google-chart>
            </div>
        </div>
    </div>

    <div class="col-md-4 col-xl-4">
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Jenis Kegiatan </h5>
            </div>
            <div class="card-block"> 
                <google-chart [data]="barChartData"></google-chart>
            </div>
        </div>
    </div>

    <div class="col-md-4 col-xl-4">
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Sebaran OPD </h5>
            </div>
            <div class="card-block"> 
                <google-chart [data]="exploadingChartData"></google-chart>
            </div>
        </div>
    </div>
    
    <div class="col-md-12 col-xl-12">
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Peta Sebaran </h5>
            </div>
            <div class="card-block"> 
                <div id="vmap" style="width: 100%; height: 700px;"></div>
            </div>
        </div>
    </div> -->

</div>
